library VideoDriver;
{ Skeleton V++ video driver with minimal exported functions }
{ All possible exports are shown but optional ones are commented out }

uses
  VideoDevice ;

exports
  { Driver functions }
  OpenDriver,
  CloseDriver,
  //GetDriverName,
  //GetDriverProvider,
  //GetDriverVersion,

  { Performance functions }
  //IsOsSupported,
  //GetMinTimeout,
  //GetMaxFrameRate,

  { System functions }
  //GetDeviceCount,
  GetDeviceName,
  //SelectDevice,
  //SelectedDevice,

  { Status functions }
  DeviceReady,
  DeviceError,
  //DeviceMessage,

  { Input channels }
  //GetChannelCount,
  //SelectChannel,
  //SelectedChannel,

  { Basic acquisition }
  GetFrameInfo,
  Snapshot,
  ReadFrame ;

  { Asynchronous capture }
  //ASyncCapture,
  //ASyncStop,
  //ASyncStatus,
  //ASyncAbort,

  { Frame buffer }
  //GetSampleFormat,
  //GetPixelAspect,
  //ReadBuffer,
  //WriteBuffer,

  { Region of interest }
  //SetROI,
  //GetROI,
  //ReadROI,

  { Continuous capture }
  //SetContinuous,
  //GetContinuous,

  { Integration }
  //SetExposureTime,
  //GetExposureTime,

  { Triggered mode }
  //SetExposureMode,
  //GetExposureMode,
  //SetTriggerTimeout,
  //GetTriggerTimeout,

  { Sequences }
  //CaptureSequence,
  //CaptureSequenceEx,

  { TTL lines }
  //WriteTTL,
  //ReadTTL,

  { User interface }
  //ShowConfigForm,
  //ShowCustomForm,

  { VPascal interface }
  //Execute ;


begin
end.
